umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
Widget_Factory Namespace Reference

## Functions
UMLWidget * | createWidget (UMLScene *scene, UMLObject *o)
bool | validateObjType (UMLObject::ObjectType expected, UMLObject *&o, Uml::ID::Type id)
UMLWidget * | makeWidgetFromXMI (const QString &tag, const QString &idStr, UMLScene *scene)

## Detailed Description

Widget factory methods. Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Function Documentation

## ◆ createWidget()

UMLWidget * Widget_Factory::createWidget | ( | UMLScene * | scene,
|  | UMLObject * | o )

Create a UMLWidget in the given view and representing the given document object.

## ◆ makeWidgetFromXMI()

UMLWidget * Widget_Factory::makeWidgetFromXMI | ( | const QString & | tag,
|  | const QString & | idStr,
|  | UMLScene * | scene )

Create a UMLWidget according to the given XMI tag.

## ◆ validateObjType()

bool Widget_Factory::validateObjType | ( | UMLObject::ObjectType | expected,
|  | UMLObject *& | o,
|  | Uml::ID::Type | id )